Get the certification sandbox account
curl --request GET \
--url https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"required": true,
"nomination": {
"sourceId": "<string>",
"accountId": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"nominatedByUserId": "<string>"
},
"listingError": {
"code": "<string>",
"message": "<string>"
},
"sandboxAccounts": [
{
"accountId": "<string>",
"displayLabel": "<string>",
"status": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get the certification sandbox account
Return the current certification sandbox account and sandbox accounts currently reported by this Source.
GET
/
inventory-sources
/
{sourceId}
/
certification-sandbox-account
Get the certification sandbox account
curl --request GET \
--url https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"required": true,
"nomination": {
"sourceId": "<string>",
"accountId": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"nominatedByUserId": "<string>"
},
"listingError": {
"code": "<string>",
"message": "<string>"
},
"sandboxAccounts": [
{
"accountId": "<string>",
"displayLabel": "<string>",
"status": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Response
Get the certification sandbox account
Current certification sandbox account and sandbox accounts currently reported by the Source.
Whether this Source needs a seller-chosen certification sandbox account. Managed sales agents use the buyer sandbox account instead.
The certification sandbox account currently stored for live-traffic certification.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes